# CMAKE config file for Medieval Town application

# DON'T COMMENT THIS OUT, IT IS NEEDED TO AVOID MULTIPLE INCLUDING OF THIS FILE
if (NOT PICTURE_CAVE_CONFIG_USER_LOADED)

# DEFINES INVRS DIRECTORY
# By uncommenting the following line you can specify the path where your INVRS
# installation is located.
# If this entry is not set cmake tries to find the path by itself.
#set ( inVRs_ROOT_DIR ../../ )

# ACTIVATES THE VRPN SUPPORT
# By uncommenting the following line you can add support for the VRPN library to the tutorial.
# NOTE: This also requires inVRs to be built with VRPN support activated!
set (ENABLE_VRPN_SUPPORT ON)

# ACTIVATES THE TRACKD SUPPORT
# By uncommenting the following line you can add support for the TrackD library to the tutorial.
# NOTE: This also requires inVRs to be built with TrackD support activated!
set (ENABLE_TRACKD_SUPPORT ON)

set (PICTURE_CAVE_CONFIG_USER_LOADED ON)
endif (NOT PICTURE_CAVE_CONFIG_USER_LOADED)


